> ## Documentation Index
> Fetch the complete documentation index at: https://docs.request.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific client ID

> Get details of a specific client ID



## OpenAPI

````yaml /api-reference/openapi.v2.json get /v2/client-ids/{id}
openapi: 3.0.0
info:
  title: Request Network API
  description: API for easily creating and paying Requests with Request Network.
  version: 0.13.0
  contact: {}
servers:
  - url: https://api.request.network
    description: Production server
  - url: https://api.stage.request.network
    description: Staging server
  - url: http://127.0.0.1:8080
    description: Local development server
security: []
tags:
  - name: V2/Request
    description: Core payment request operations (V2)
  - name: V2/Payments
    description: Payment search and management operations (V2)
  - name: V2/Payouts
    description: Pay a request without creating one first (V2)
  - name: V2/Payer
    description: Crypto-to-fiat payer management operations (V2)
  - name: V2/Currencies
    description: Currency operations (V2)
  - name: V2/Client IDs
    description: Client ID management (V2)
  - name: V2/Payee Destination
    description: Payee destination management (V2)
externalDocs:
  description: Request Network Docs
  url: https://docs.request.network/request-network-api
paths:
  /v2/client-ids/{id}:
    get:
      tags:
        - Client IDs
        - V2/Client IDs
      summary: Get a specific client ID
      description: Get details of a specific client ID
      operationId: ClientIdV2Controller_findOne_v2
      parameters:
        - name: id
          required: true
          in: path
          description: Client ID internal identifier
          schema:
            example: '123'
            type: string
        - name: x-api-key
          in: header
          description: API key for authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Client ID details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  clientId:
                    type: string
                  label:
                    type: string
                  allowedDomains:
                    type: array
                    items:
                      type: string
                  feePercentage:
                    type: string
                    nullable: true
                  feeAddress:
                    type: string
                    nullable: true
                  operatorWalletAddress:
                    type: string
                    nullable: true
                  defaultPreApprovalExpiry:
                    type: number
                    nullable: true
                  defaultAuthorizationExpiry:
                    type: number
                    nullable: true
                  status:
                    type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  lastUsedAt:
                    type: string
                    nullable: true
        '401':
          description: Unauthorized
        '404':
          description: Client ID not found
        '429':
          description: Too Many Requests

````